@import url('https://fonts.googleapis.com/css2?family=Akshar:wght@300..700&family=Noto+Sans+JP:wght@100..900&display=swap');

/* --------- common --------- */
:root {
    --main-color: #0068B7;
    --gradient-txt: linear-gradient(283.11deg, #231815 37.18%, #0068B7 83.6%, #15ABF6 98.45%);
    --main-txt: #231815;
    --font-akshar: "Akshar","Noto Sans JP",sans-serif;
}
body {
    color: var(--main-txt);
    font-family: "Noto Sans JP",sans-serif;
    background: #fcfcfc;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto 1fr auto;
}
.sp {
    display: block;
}
.pc {
    display: none;
}
.content-inner {
    width: 91.795%;
    max-width: 1100px;
    margin-inline: auto;
}

/* --------- header --------- */
.common-header {
    display: grid;
    grid-template-columns: 1fr 64px;
    width: 100%;
    height: 64px;
    position: sticky;
    top: 0;
    left: 0;
    z-index: 100;
    background: #fff;
}
.header__logo-wrapper {
    display: grid;
    grid-template-columns: 44px 1fr;
    gap: 10px;
    align-items: center;
    background: var(--main-color);
    color: #ffff;
    text-decoration: none;
    padding: 15px 16px;
    transition: opacity .3s;
    &:active {
        opacity: .7;
    }
}
.header__logo__text {
    line-height: 1;
}
.header__logo__text__ja {
    display: block;
    font-size: .75rem;
    font-weight: 600;
    letter-spacing: .04em;
}
.header__logo__text__en {
    font-size: .625rem;
    letter-spacing: .04em;
}
.header__nav {
    display: none;
}
.header__hbg-btn {
    display: grid;
    gap: 8px;
    background: none;
    border: none;
    place-content: center;
    cursor: pointer;
    &.active {
        .header__hbg-btn__line:first-child {
            rotate: 45deg;
            translate: 0 9px;
        }
        .header__hbg-btn__line:nth-child(2) {
            translate: 12px;
            opacity: 0;
        }
        .header__hbg-btn__line:last-child {
            rotate: -45deg;
            translate: 0 -9px;
        }
    }
}
.header__hbg-btn__line {
    display: block;
    width: 24px;
    height: 1px;
    background: var(--main-color);
    transition: all .3s;
}
.header__hbg {
    opacity: 0;
    visibility: hidden;
    transition: opacity .3s, visibility .3s;
    width: 100%;
    height: calc(100dvh - 64px);
    background: #fff;
    padding-top: 16px;
    position: fixed;
    top: 64px;
    left: 0;
    z-index: 100;
    &.active {
        opacity: 1;
        visibility: visible;
    }
}
.header__hbg__nav {
    display: grid;
    grid-template-columns: 100%;
    gap: 40px;
}
.header__hbg__link {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 20px 20px 16px;
    color: var(--main-txt);
    font-size: .9375rem;
    font-weight: 600;
    line-height: 1;
    letter-spacing: .04em;
    border-bottom: 1px solid rgb(35 24 21/.2);
    text-decoration: none;
    transition: opacity .3s;
    &:hover {
        opacity: .5;
    }
}
.header__hbg__link__ico {
    display: block;
    width: 30px;
    height: 26px;
    border-left: 1px solid rgb(35 24 21/.2);
    background: url(/cd/img/common/ico_arrow-black.svg) no-repeat center right/11px;
}
.header__hbg__nav__btn-list {
    display: grid;
    grid-template-columns: 100%;
    gap: 10px;
}
.header__hbg__nav__btn {
    display: block;
    padding: 20px;
    border: 1px solid var(--main-color);
    border-radius: 4px;
    color: var(--main-color);
    font-size: .9375rem;
    font-weight: 600;
    line-height: 1;
    letter-spacing: .04em;
    text-align: center;
    text-decoration: none;
    transition: all .3s;
    &:hover {
        background: var(--main-color);
        color: #fff;
    }
}

/* --------- page-subpage --------- */
.mv-subpage {
    padding-block: 64px;
    background: url(/cd/img/common/bg_subpage-mv01-sp.jpg) no-repeat center/cover;
    color: #fff;
    margin-bottom: 64px;
}
.mv-subpage__ttl-en {
    font-size: 1.125rem;
    font-weight: 500;
    font-family: var(--font-akshar);
    line-height: 1.8;
    letter-spacing: .04em;
    margin-bottom: 4px;
}
.mv-subpage__ttl {
    font-size: 2.125rem;
    font-weight: 700;
    line-height: 1.4;
}


/* --------- common-footer --------- */
.common-footer {
    color: #fff;
    padding-block: 64px 32px;
    background: var(--main-color);
    margin-top: 64px;
}
.footer__inner {
    display: grid;
    grid-template-columns: 100%;
    gap: 48px;
}
.footer__logo {
    display: grid;
    grid-template-columns: 44px 1fr;
    gap: 10px;
    align-items: center;
    margin-bottom: 32px;
}
.footer__logo__txt {
    line-height: 1;
}
.footer__logo__txt__ja {
    display: block;
    font-size: .8125rem;
    font-weight: 600;
    letter-spacing: .04em;
}
.footer__logo__txt__en {
    font-size: .6875rem;
    line-height: 1;
    letter-spacing: .04em;
}
.footer__info__address {
    font-size: .875rem;
    line-height: 1.6;
    letter-spacing: .04em;
}
.footer__nav {
    margin-bottom: 24px;
}
.footer__nav__list {
    display: grid;
    grid-template-columns: 100%;
    gap: 16px;
}
.footer__nav__link {
    color: #fff;
    font-size: .75rem;
    line-height: 1.6;
    letter-spacing: .04em;
    text-decoration: none;
    padding-bottom: 1px;
    background: linear-gradient(to right,#fff 0%,#fff 100%) no-repeat bottom left/100% 1px;
    transition: background-size .3s;
    &:active {
        background-size: 0 1px;
    }
}
.footer__copyright {
    border-top: 1px solid rgb(255 255 255/.2);
    padding-top: 24px;
    color: rgb(255 255 255/.4);
    font-size: .625rem;
    font-family: var(--font-akshar);
    line-height: 1;
    letter-spacing: .04em;
}


@media screen and (width>767px) {
    /* --------- common --------- */
    .pc {
        display: block;
    }
    .sp {
        display: none;
    }

    /* --------- page-subpage --------- */
    .mv-subpage {
        padding-block: 80px;
        background-image: url(/cd/img/common/bg_subpage-mv01-pc.jpg);
        margin-bottom: 112px;
    }
    .mv-subpage__ttl-en {
        font-size: 1.25rem;
        margin-bottom: 8px;
    }
    .mv-subpage__ttl {
        font-size: 3rem;
    }

    /* --------- common-footer --------- */
    .common-footer {
        padding-block: 72px 48px;
        margin-top: 112px;
    }
    .footer__inner {
        display: grid;
        grid-template-columns: 1fr auto;
        gap: 32px;
    }
    .footer__logo {
        grid-template-columns: 80px 1fr;
    }
    .footer__logo__img {
        width: 100%;
    }
    .footer__logo__txt__ja {
        font-size: .875rem;
        margin-bottom: 4px;
    }
    .footer__logo__txt__en {
        font-size: .75rem;
    }
    .footer__info__address {
        font-size: .9375rem;
    }
    .footer__nav {
        margin: 0;
    }
    .footer__nav__link:hover {
        background-size: 0 1px;
    }
    .footer__copyright {
        grid-area: 2/1/3/3;
        font-size: .75rem;
    }
}

@media screen and (width>1119px) {
    /* --------- header --------- */
    .common-header {
        display: flex;
        justify-content: space-between;
        height: 95px;
    }
    .header__hbg-btn,
    .header__hbg {
        display: none;
    }
    .header__logo-wrapper {
        grid-template-columns: 62px 1fr;
        padding: 24px 32px;
        &:hover {
            opacity: .7;
        }
    }
    .header__logo__img {
        width: 100%;
    }
    .header__logo__text__ja {
        font-size: .875rem;
        margin-bottom: 4px;
    }
    .header__logo__text__en {
        font-size: .75rem;
    }
    .header__nav {
        display: flex;
        gap: 40px;
        align-items: center;
        padding-right: 32px;
    }
    .header__nav__list {
        display: flex;
        gap: 40px;
    }
    .header__nav__link {
        color: var(--main-txt);
        font-size: .9375rem;
        font-weight: 600;
        line-height: 1;
        letter-spacing: .04em;
        text-decoration: none;
        transition: opacity .3s;
        &:hover {
            opacity: .5;
        }
    }
    .header__nav__btn-list {
        display: flex;
        gap: 8px;
        align-items: center;
    }
    .header__nav__btn {
        display: block;
        color: var(--main-color);
        font-size: .9375rem;
        font-weight: 600;
        line-height: 1;
        letter-spacing: .04em;
        text-decoration: none;
        border: 1px solid var(--main-color);
        border-radius: 4px;
        padding: 16px;
        transition: all .3s;
        &:hover {
            background: var(--main-color);
            color: #fff;
        }
    }
}